コンテンツへスキップ

Workflow Utilities Auto Subtitle

統合

モデルID workflow-utilities/auto-subtitle
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/workflow-utilities/auto-subtitle?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

例と同様のファイル: $0.005 5 APIクレジット · ≈ ₽0.53 実行前にファイルを計測します このページで実行

APIキーを取得
Utility · 動画

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須 video_url
ファイルをドロップ、または

自動字幕追加用の動画URLです。

詳細設定 font_weight · position · language · font_name · font_color · highlight_color · stroke_color · background_color · font_size · stroke_width · background_opacity · y_offset · words_per_subtitle · enable_animation
font_weight デフォルト bold

テキストの太さ。一般的なTikTokスタイルではboldまたはblackを使用します。

position デフォルト bottom

縦軸に沿った字幕の配置です。

デフォルト en

文字起こし言語識別子。'en'、'es'、'fr'、'de'、'it'、'pt'、'nl'、'ja'、'zh'、'ko'などを指定します。'eng'、'spa'、'fra'などの3文字ISO識別子も使用できます。

デフォルト Montserrat

fonts.google.comから選択するフォント名。'Montserrat'、'Poppins'、'BBH Sans Hegarty'など、Google Fontであれば使用できます。

デフォルト white

アクティブでない字幕の単語に使用する色です。

デフォルト purple

発話中の単語に適用するカラオケ形式のハイライト色です。

デフォルト black

テキストのアウトラインまたはストロークに適用する色です。

デフォルト none

テキストの背後の背景色。'none'と'transparent'はいずれも背景を無効にします。

デフォルト 100

字幕のフォントサイズ。TikTokのスタイルでは大きめのテキストを使用します。

デフォルト 3

テキストのアウトラインまたはストロークの幅(ピクセル)。0では無効になります。

デフォルト 0

背景の不透明度。0.0は完全に透明、1.0は完全に不透明です。

デフォルト 75

ピクセル単位の垂直方向の移動量。正の値では下に、負の値では上に移動します。

デフォルト 3

字幕の単語数上限。1では1語、2~3では短いフレーズ、8~12ではセグメントごとに全文を表示できます。

POST /run/workflow-utilities/auto-subtitle?wait=20 見積もり → $0.005
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/workflow-utilities/auto-subtitle?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Workflow Utilities Auto Subtitleについて

動画内の音声を書き起こし、現在発話中の単語をハイライトした字幕を焼き込みます。スタイル設定には任意のGoogle Font名、サイズ20〜150、太さ、文字色とハイライト色、縁取り、背景色と不透明度、上・中央・下の配置、垂直オフセットが含まれます。`words_per_subtitle`は1〜12で、バウンスアニメーションをオンまたはオフにできます。書き起こしと単語ごとのタイミングも返します。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
video_url必須 video
型url · video
自動字幕追加用の動画URLです。
language任意
型string
デフォルトen
文字起こし言語識別子。'en'、'es'、'fr'、'de'、'it'、'pt'、'nl'、'ja'、'zh'、'ko'などを指定します。'eng'、'spa'、'fra'などの3文字ISO識別子も使用できます。
font_name任意
型string
デフォルトMontserrat
fonts.google.comから選択するフォント名。'Montserrat'、'Poppins'、'BBH Sans Hegarty'など、Google Fontであれば使用できます。
font_size任意
型integer
デフォルト100
20 – 150
字幕のフォントサイズ。TikTokのスタイルでは大きめのテキストを使用します。
font_weight任意
型enum
デフォルトbold
normalboldblack
テキストの太さ。一般的なTikTokスタイルではboldまたはblackを使用します。
font_color任意
型enum
デフォルトwhite
whiteblackredgreenblueyelloworangepurplepinkbrowngraycyanmagenta
アクティブでない字幕の単語に使用する色です。
highlight_color任意
型enum
デフォルトpurple
whiteblackredgreenblueyelloworangepurplepinkbrowngraycyanmagenta
発話中の単語に適用するカラオケ形式のハイライト色です。
stroke_width任意
型integer
デフォルト3
0 – 10
テキストのアウトラインまたはストロークの幅(ピクセル)。0では無効になります。
stroke_color任意
型enum
デフォルトblack
blackwhiteredgreenblueyelloworangepurplepinkbrowngraycyanmagenta
テキストのアウトラインまたはストロークに適用する色です。
background_color任意
型enum
デフォルトnone
blackwhiteredgreenblueyelloworangepurplepinkbrowngraycyanmagentanonetransparent
テキストの背後の背景色。'none'と'transparent'はいずれも背景を無効にします。
background_opacity任意
型number
デフォルト0
0 – 1
背景の不透明度。0.0は完全に透明、1.0は完全に不透明です。
position任意
型enum
デフォルトbottom
topcenterbottom
縦軸に沿った字幕の配置です。
y_offset任意
型integer
デフォルト75
-200 – 200
ピクセル単位の垂直方向の移動量。正の値では下に、負の値では上に移動します。
words_per_subtitle任意
型integer
デフォルト3
1 – 12
字幕の単語数上限。1では1語、2~3では短いフレーズ、8~12ではセグメントごとに全文を表示できます。
enable_animation任意
型boolean
デフォルトtrue
バウンスする表示効果による字幕アニメーションを有効にします。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "workflow-utilities/auto-subtitle",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 5,
    "usd": "0.005",
    "charged": 5,
    "refunded": 0
  },
  "input": {
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "transcription": "string",
    "subtitle_count": 1,
    "words": [
      {}
    ],
    "transcription_metadata": {}
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
video
object {url, content_type, file_name, file_size}自動生成された字幕を含む動画です。
transcription
string文字起こしの完全なテキストです。
subtitle_count
integer生成された字幕セグメントの数です。
words
array of object | null文字起こしサービスが提供する、各単語のタイミングデータです。
transcription_metadata
object | nullElevenLabsが文字起こしに提供する追加メタデータ。言語、セグメントなどの詳細を含みます。

その他のモデル: 動画変換

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/workflow-utilities/auto-subtitle.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt